﻿.toastContainer {
    display: flex;
    flex-direction: column;
    position: fixed;
    right: 1.5rem;
    top: 10px;
    width: 18vw;
    z-index: 999999;
}

@media (max-width: 640px) {
    .toastContainer{
        width: 50%;
    }
}

@media (max-width: 1200px){
    .toastContainer{
        width: 50%;
    }
}

.toastMessage {
    border-radius: 0.5rem;
    box-shadow: 0.2rem 0.2rem 0.5rem 0.1rem #888888;
    display: flex;
    min-height: 40px;
    position: relative;
    margin-bottom: 0.5rem;
}

.toastLeftBlock {
    border-bottom-left-radius: 0.5rem;
    border-top-left-radius: 0.5rem;
    color: white;
    display: flex;
    font-size: 1.4rem;
    justify-content: center;
    padding-top: 0.55rem;
    width: 40px;
}

.toastMiddleBlock {
    display: flex;
    flex: 1;
    line-height: 1.5rem;
    padding: 0.5rem 1rem 0.5rem 1rem;
    background-color: white;
}

.toastRightBlock {
    background-color: #727573;
    border-bottom-right-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
    color: white;
    display: flex;
    font-size: 1rem;
    justify-content: center;
    padding-top: 0.6rem;
    width: 40px;
}

    .toastRightBlock span {
        cursor: pointer;
        transition: 0.3s;
    }

        .toastRightBlock span:hover {
            color: #adb1b3;
        }

.toastSuccess {
    background-color: #14cc5b;
}

    .toastSuccess span:before {
        content: "\f00c";
    }

.toastError {
    background-color: #c41b0c;
}

    .toastError span:before {
        content: "\f12a";
    }

.toastInfo {
    background-color: #1c90d4;
}

    .toastInfo span:before {
        content: "\f129";
    }
